import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

MigrationBasePage
{
    objectName: "migrationRebootPage"
    property variant commonFontStyles: Fonts.Common{}
    helpButtonVisible: true

    Column
    {
		objectName: "column"
        anchors.fill: parent;
        spacing: 8

        Text
        {
            id: desc
            text: context.PageDescription
            wrapMode: Text.WordWrap
			width: parent.parent.width
            font: commonFontStyles.standardCommonTextFont
        }

        Widgets.CheckBox
        {
			id: shouldRebootOS
			objectName: "shouldRebootOS"
            text:context.Localize("RebootPageCheckboxRebootText");
            checked: context.ShouldReboot;
        }
        Binding {target: context; property: "ShouldReboot"; value: shouldRebootOS.checked }
    }
    function onHelp() { Help.Show(46840); }
}
