import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

MigrationBasePage
{
	objectName: "migrationSearchPage"
    property variant commonFontStyles: Fonts.Common{}
    Column
    {
        anchors.fill: parent;
        spacing: 8

        Text
        {
            id: desc
            text: context.PageDescription
            wrapMode: Text.WordWrap
			width: parent.parent.width
            font: commonFontStyles.standardCommonTextFont
        }

        Widgets.ProgressBar
        {
            anchors.left: parent.left;
            anchors.right: parent.right;

            id:progress
            percent:context.PageProgress
        }
    }
}
