import Qt 4.7

Item
{
	anchors.fill:	parent

	property variant activationWizard:	wizard
	property bool backButtonEnabled:	false
	property bool nextButtonEnabled:	false
	property bool cancelButtonEnabled:	true
	property bool helpButtonVisible:	true

	property string	backButtonText
	property string nextButtonText
	property string cancelButtonText

	property variant context
	property string		headerString

	property bool		pageCanBeStacked:	true;
	
	property int activationState: context.ActivationState;

	property bool initialization: true

	visible: false

	onActivationStateChanged:
	{
		if (initialization)
		{
			initialization = false;
			return;
		}
		if (!visible) return;
		selectPageOnStateChanged(pageCanBeStacked);
	}

	function selectPageOnStateChanged(pageCanBeStacked)
	{
		return activationWizard.selectPageOnStateChanged(pageCanBeStacked);
	}

	function onBack()
	{
		activationWizard.backToPreviosPage();
	}

	function onCancel()
	{
	}
}

