import Qt 4.7

Image
{
    property alias progressImage: thumb.source;
    property int period: 3000

    id: progressBar;
    source: "../images/splash/progress_line.png";
    Item
    {
        id: padding;
        anchors.fill: parent;
        anchors.margins: 1;
        clip: true;
        Image
        {
            id: thumb;
            source: "../images/splash/progress_infinum.png";
            x: -width;
            PropertyAnimation on x {to: padding.width; duration: progressBar.period; loops: Animation.Infinite; }
        }
    }
}
